Skip to main content
GET
/
v1
/
linked_bank_accounts
cURL
curl --request GET \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/linked_bank_accounts
import Straddle from '@straddlecom/straddle';

const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});

async function main() {
// Automatically fetches more pages as needed.
for await (const linkedBankAccount of client.embed.linkedBankAccounts.list()) {
console.log(linkedBankAccount.id);
}
}

main();
import os
from straddle import Straddle

client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
page = client.embed.linked_bank_accounts.list()
page = page.data[0]
print(page.id)
require "straddle"

straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)

page = straddle.embed.linked_bank_accounts.list

puts(page)
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z",
    "total_items": 123,
    "page_number": 123,
    "page_size": 123,
    "max_page_size": 123,
    "sort_by": "<string>",
    "sort_order": "asc",
    "total_pages": 123
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status_detail": {
        "source": "watchtower",
        "code": "<string>",
        "message": "<string>"
      },
      "bank_account": {
        "institution_name": "<string>",
        "account_holder": "<string>",
        "routing_number": "<string>",
        "account_mask": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "purposes": [],
      "metadata": {},
      "platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>"
    }
  ]
}
{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}
{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}
{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}
{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}
{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}
{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

request-id
string

Optional client generated identifier to trace and debug a request.

correlation-id
string

Optional client generated identifier to trace and debug a series of requests.

Query Parameters

account_id
string<uuid>

The unique identifier of the related account.

page_number
integer<int32>
default:1

Results page number. Starts at page 1. Results page number. Starts at page 1. Default value: 1

page_size
integer<int32>
default:100

Page size. Max value: 1000 Page size. Default value: 100. Max value: 1000

sort_by
string
default:id

Sort By. Sort By. Default value: 'id'.

sort_order
enum<string>
default:asc

Sort Order. Sort Order. Default value: 'asc'.

Available options:
asc,
desc
level
enum<string>
Available options:
account,
platform
purpose
enum<string>

The purpose of the linked bank accounts to return. Possible values: 'charges', 'payouts', 'billing'.

Available options:
charges,
payouts,
billing
status
enum<string>

The status of the linked bank accounts to return. Possible values: 'created', 'onboarding', 'active', 'inactive', 'rejected'.

Available options:
created,
onboarding,
active,
rejected,
inactive,
canceled

Response

OK

meta
object
required

Metadata about the API request, including an identifier, timestamp, and pagination details.

response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object[]
required